#!/usr/bin/perl -w

use Gtk;
use strict;

set_locale Gtk;
init Gtk;

getFilename();
exit;

sub getFilename
{
	my $false = 0;
	my $true = 1;

	my $file_dialog;

	# Create a new file selection widget
	$file_dialog = new Gtk::FileSelection( "File Selection" );
	$file_dialog->signal_connect( "destroy", sub { Gtk->exit( 0 ); } );

	# Connect the ok_button to file_ok_sel function
	$file_dialog->ok_button->signal_connect( "clicked",
						 \&file_ok_sel,
						 $file_dialog );

	# Connect the cancel_button to destroy the widget
	$file_dialog->cancel_button->signal_connect( "clicked",
						     sub { Gtk->exit( 0 ); } );

	$file_dialog->show();
	main Gtk;

	print "Flobble\n";
}

# Get the selected filename and print it to the console
sub file_ok_sel
{
   my ( $widget, $file_selection ) = @_;
   my $file = $file_selection->get_filename();

   print( "$file\n" );
}


# END EXAMPLE PROGRAM
      
   
